Search Support

Avoid support scams. We will never ask you to call or text a phone number or share personal information. Please report suspicious activity using the “Report Abuse” option.

Learn More

Firefox "not compatible" with new 10" android tablet

  • 3 odgovori
  • 1 ima ovaj problem
  • 32 views
  • Posljednji odgovor poslao johnb0647

more options

Purchased a new economy 10" android tablet. PlayStore says Firefox (V81) is "not compatible with this device". All other apps I've tried to install work perfectly. Disaster!!! I've been with FireFox since it was a cub <G>

Maybe an earlier release?

HARDWARE: Mediatek ZH960; Hardware MT6797; CPU ARM7/Rev3/V71; 8gb RAM; 500gb storage.

Purchased a new economy 10" android tablet. PlayStore says Firefox (V81) is "not compatible with this device". All other apps I've tried to install work perfectly. Disaster!!! I've been with FireFox since it was a cub <G> Maybe an earlier release? HARDWARE: Mediatek ZH960; Hardware MT6797; CPU ARM7/Rev3/V71; 8gb RAM; 500gb storage.

Izabrano rješenje

jscher link to Firefox requirements lead me to FF release 68.11.0 which installed correctly and so far appears to work properly.

Thanks many times.

JohnB

Pročitajte ovaj odgovor sa objašnjenjem 👍 0

All Replies (3)

more options

Do you have Android 5.0 or higher?

https://www.mozilla.org/firefox/android/81.0/system-requirements/

Assuming so, I wonder if something is not being detected correctly about the processor. ??

more options

Running Android 9

more options

Odabrano rješenje

jscher link to Firefox requirements lead me to FF release 68.11.0 which installed correctly and so far appears to work properly.

Thanks many times.

JohnB